## tensorflow 0.7

=== DESCRIPTION ===
Package: tensorflow
Type: Package
Title: R Interface to TensorFlow
Version: 0.7
Date: 2017-03-21
Authors@R: c(
  person("JJ", "Allaire", role = c("aut", "cre"),
     comment = "R interface", email = "jj@rstudio.com"),
  person(family = "RStudio", role = "cph"),
  person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
         email = "edd@debian.org"),
  person("Nick", "Golding", role = c("ctb", "cph"),
         email = "nick.golding.research@gmail.com"),
  person("Yuan", "Tang", role = c("ctb", "cph"),
         email = "terrytangyuan@gmail.com"),
  person(family = "Google Inc.", role = c("ctb", "cph"),
         comment = "Examples and Tutorials")
  )
Description: Interface to 'TensorFlow' <https://www.tensorflow.org/>, 
  an open source software library for numerical computation using data
  flow graphs. Nodes in the graph represent mathematical operations, 
  while the graph edges represent the multidimensional data arrays 
  (tensors) communicated between them. The flexible architecture allows
  you to deploy computation to one or more 'CPUs' or 'GPUs' in a desktop, 
  server, or mobile device with a single 'API'. 'TensorFlow' was originally
  developed by researchers and engineers working on the Google Brain Team 
  within Google's Machine Intelligence research organization for the 
  purposes of conducting machine learning and deep neural networks research,
  but the system is general enough to be applicable in a wide variety
  of other domains as well.
License: Apache License 2.0
URL: https://github.com/rstudio/tensorflow
BugReports: https://github.com/rstudio/tensorflow/issues
SystemRequirements: TensorFlow (https://www.tensorflow.org/)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.0)
Imports: utils, reticulate (>= 0.7), yaml
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2017-03-22 14:01:58 UTC; jjallaire
Author: JJ Allaire [aut, cre] (R interface),
  RStudio [cph],
  Dirk Eddelbuettel [ctb, cph],
  Nick Golding [ctb, cph],
  Yuan Tang [ctb, cph],
  Google Inc. [ctb, cph] (Examples and Tutorials)
Maintainer: JJ Allaire <jj@rstudio.com>
Repository: CRAN
Date/Publication: 2017-03-22 14:19:55 UTC

## tensorflow 0.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to TensorFlow
-Version: 0.7
-Date: 2017-03-21
+Version: 0.8.1
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"),
      comment = "R interface", email = "jj@rstudio.com"),
@@ -35,11 +34,11 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.0)
-Imports: utils, reticulate (>= 0.7), yaml
+Imports: utils, reticulate (>= 0.8), yaml, jsonlite
 RoxygenNote: 6.0.1
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2017-03-22 14:01:58 UTC; jjallaire
+Packaged: 2017-05-26 00:29:27 UTC; jjallaire
 Author: JJ Allaire [aut, cre] (R interface),
   RStudio [cph],
   Dirk Eddelbuettel [ctb, cph],
@@ -48,4 +47,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-03-22 14:19:55 UTC
+Date/Publication: 2017-05-26 00:35:04 UTC

## tensorflow 0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Package: tensorflow
 Type: Package
-Title: R Interface to TensorFlow
-Version: 0.8.1
+Title: R Interface to 'TensorFlow'
+Version: 0.9
 Authors@R: c(
-  person("JJ", "Allaire", role = c("aut", "cre"),
-     comment = "R interface", email = "jj@rstudio.com"),
-  person(family = "RStudio", role = "cph"),
+  person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
+  person(family = "RStudio", role = c("cph", "fnd")),
+  person("Yuan", "Tang", role = c("aut", "cph"), email = "terrytangyuan@gmail.com"),
   person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
          email = "edd@debian.org"),
   person("Nick", "Golding", role = c("ctb", "cph"),
          email = "nick.golding.research@gmail.com"),
-  person("Yuan", "Tang", role = c("ctb", "cph"),
-         email = "terrytangyuan@gmail.com"),
   person(family = "Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
@@ -34,17 +32,17 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.0)
-Imports: utils, reticulate (>= 0.8), yaml, jsonlite
+Imports: utils, reticulate (>= 0.9), yaml, jsonlite, processx
 RoxygenNote: 6.0.1
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2017-05-26 00:29:27 UTC; jjallaire
-Author: JJ Allaire [aut, cre] (R interface),
-  RStudio [cph],
+Packaged: 2017-06-25 19:50:28 UTC; jjallaire
+Author: JJ Allaire [aut, cre],
+  RStudio [cph, fnd],
+  Yuan Tang [aut, cph],
   Dirk Eddelbuettel [ctb, cph],
   Nick Golding [ctb, cph],
-  Yuan Tang [ctb, cph],
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-05-26 00:35:04 UTC
+Date/Publication: 2017-06-25 19:55:04 UTC

## tensorflow 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 0.9
+Version: 1.3
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -32,11 +32,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.0)
-Imports: utils, reticulate (>= 0.9), yaml, jsonlite, processx
+Imports: config, jsonlite, processx, reticulate (>= 1.0), tfruns,
+        utils, yaml
+Suggests: testthat
 RoxygenNote: 6.0.1
-Suggests: testthat
 NeedsCompilation: no
-Packaged: 2017-06-25 19:50:28 UTC; jjallaire
+Packaged: 2017-07-27 11:15:30 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -45,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-06-25 19:55:04 UTC
+Date/Publication: 2017-07-27 21:42:18 UTC

## tensorflow 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.3
+Version: 1.3.1
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -32,12 +32,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.0)
-Imports: config, jsonlite, processx, reticulate (>= 1.0), tfruns,
-        utils, yaml
+Imports: config, jsonlite, processx, reticulate (>= 1.1), tfruns (>=
+        0.9.1), utils, yaml
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-07-27 11:15:30 UTC; jjallaire
+Packaged: 2017-08-26 13:27:33 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-07-27 21:42:18 UTC
+Date/Publication: 2017-08-26 17:25:21 UTC

## tensorflow 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.3.1
+Version: 1.4
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -31,13 +31,13 @@
 SystemRequirements: TensorFlow (https://www.tensorflow.org/)
 Encoding: UTF-8
 LazyData: true
-Depends: R (>= 3.0)
-Imports: config, jsonlite, processx, reticulate (>= 1.1), tfruns (>=
+Depends: R (>= 3.1)
+Imports: config, jsonlite, processx, reticulate (>= 1.2), tfruns (>=
         0.9.1), utils, yaml
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-08-26 13:27:33 UTC; jjallaire
+Packaged: 2017-09-27 10:26:42 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-08-26 17:25:21 UTC
+Date/Publication: 2017-09-27 12:23:38 UTC

## tensorflow 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.4
+Version: 1.4.1
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -32,12 +32,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.1)
-Imports: config, jsonlite, processx, reticulate (>= 1.2), tfruns (>=
-        0.9.1), utils, yaml
+Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.3),
+        tfruns (>= 0.9.1), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-09-27 10:26:42 UTC; jjallaire
+Packaged: 2017-11-16 18:28:59 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-09-27 12:23:38 UTC
+Date/Publication: 2017-11-16 21:57:26 UTC

## tensorflow 1.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.4.1
+Version: 1.4.2
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -33,11 +33,11 @@
 LazyData: true
 Depends: R (>= 3.1)
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.3),
-        tfruns (>= 0.9.1), utils, yaml, rstudioapi (>= 0.7)
+        tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-11-16 18:28:59 UTC; jjallaire
+Packaged: 2017-12-17 01:28:14 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-11-16 21:57:26 UTC
+Date/Publication: 2017-12-17 06:52:53 UTC

## tensorflow 1.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.4.2
+Version: 1.4.3
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -37,7 +37,7 @@
 Suggests: testthat
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-12-17 01:28:14 UTC; jjallaire
+Packaged: 2017-12-18 10:32:00 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-12-17 06:52:53 UTC
+Date/Publication: 2017-12-18 16:34:05 UTC

## tensorflow 1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.4.3
+Version: 1.5
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -32,12 +32,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.1)
-Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.3),
+Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.4),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
-Suggests: testthat
+Suggests: testthat, keras, tfestimators
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-12-18 10:32:00 UTC; jjallaire
+Packaged: 2018-01-17 10:55:11 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph],
@@ -46,4 +46,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2017-12-18 16:34:05 UTC
+Date/Publication: 2018-01-17 15:02:31 UTC

## tensorflow 1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.5
+Version: 1.8
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
-  person("Yuan", "Tang", role = c("aut", "cph"), email = "terrytangyuan@gmail.com"),
+  person("Yuan", "Tang", role = c("aut", "cph"),
+         email = "terrytangyuan@gmail.com",
+         comment = c(ORCID = "0000-0001-5243-233X")),
   person("Dirk", "Eddelbuettel", role = c("ctb", "cph"),
          email = "edd@debian.org"),
   person("Nick", "Golding", role = c("ctb", "cph"),
          email = "nick.golding.research@gmail.com"),
+  person("Tomasz", "Kalinowski", role = c("ctb", "cph")),
   person(family = "Google Inc.", role = c("ctb", "cph"),
          comment = "Examples and Tutorials")
   )
@@ -32,18 +35,19 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.1)
-Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.4),
+Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.5),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat, keras, tfestimators
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-01-17 10:55:11 UTC; jjallaire
+Packaged: 2018-06-14 12:44:12 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
-  Yuan Tang [aut, cph],
+  Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
   Dirk Eddelbuettel [ctb, cph],
   Nick Golding [ctb, cph],
+  Tomasz Kalinowski [ctb, cph],
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-01-17 15:02:31 UTC
+Date/Publication: 2018-06-14 13:41:41 UTC

## tensorflow 1.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.8
+Version: 1.9
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -35,12 +35,12 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.1)
-Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.5),
+Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat, keras, tfestimators
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-06-14 12:44:12 UTC; jjallaire
+Packaged: 2018-08-07 13:38:18 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
@@ -50,4 +50,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-06-14 13:41:41 UTC
+Date/Publication: 2018-08-07 14:10:03 UTC

## tensorflow 1.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.9
+Version: 1.10
 Authors@R: c(
   person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
   person(family = "RStudio", role = c("cph", "fnd")),
@@ -38,9 +38,9 @@
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat, keras, tfestimators
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2018-08-07 13:38:18 UTC; jjallaire
+Packaged: 2018-11-19 17:55:18 UTC; jjallaire
 Author: JJ Allaire [aut, cre],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
@@ -50,4 +50,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: JJ Allaire <jj@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-08-07 14:10:03 UTC
+Date/Publication: 2018-11-19 18:50:03 UTC

## tensorflow 1.10.1+dfsg

=== tensorflow/contrib/lite/Makefile ===
# Find where we're running from, so we can store generated files here.
ifeq ($(origin MAKEFILE_DIR), undefined)
	MAKEFILE_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
endif

# Try to figure out the host system
HOST_OS :=
ifeq ($(OS),Windows_NT)
	HOST_OS = WINDOWS
else
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S),Linux)
	        HOST_OS := LINUX
	endif
	ifeq ($(UNAME_S),Darwin)
		HOST_OS := OSX
	endif
endif

HOST_ARCH := $(shell if [[ $(shell uname -m) =~ i[345678]86 ]]; then echo x86_32; else echo $(shell uname -m); fi)

# Self-hosting
TARGET_ARCH := ${HOST_ARCH}

# Cross compiling
ifeq ($(CROSS),rpi)
  TARGET_ARCH := armv7l
  TARGET_TOOLCHAIN_PREFIX := arm-linux-gnueabihf-
endif

ifeq ($(CROSS),riscv)
  TARGET_ARCH := riscv
  TARGET_TOOLCHAIN_PREFIX := riscv32-unknown-elf-
endif
ifeq ($(CROSS),stm32f7)
  TARGET_ARCH := armf7
  TARGET_TOOLCHAIN_PREFIX := arm-none-eabi-
endif
ifeq ($(CROSS),stm32f1)
  TARGET_ARCH := armm1
  TARGET_TOOLCHAIN_PREFIX := arm-none-eabi-
endif

# Where compiled objects are stored.
OBJDIR := $(MAKEFILE_DIR)/gen/obj/
BINDIR := $(MAKEFILE_DIR)/gen/bin/
LIBDIR := $(MAKEFILE_DIR)/gen/lib/
GENDIR := $(MAKEFILE_DIR)/gen/obj/

LIBS :=
ifeq ($(TARGET_ARCH),x86_64)
        CXXFLAGS += -fPIC -DGEMMLOWP_ALLOW_SLOW_SCALAR_FALLBACK -pthread # -msse4.2
endif

ifeq ($(TARGET_ARCH),armv7l)
        CXXFLAGS += -mfpu=neon -pthread -fPIC
	LIBS += -ldl
endif

ifeq ($(TARGET_ARCH),riscv)
#        CXXFLAGS += -march=gap8
        CXXFLAGS += -DTFLITE_MCU
	LIBS += -ldl
	BUILD_TYPE := micro
endif

ifeq ($(TARGET_ARCH),armf7)
        CXXFLAGS += -DGEMMLOWP_ALLOW_SLOW_SCALAR_FALLBACK -DTFLITE_MCU
        CXXFLAGS += -fno-rtti -fmessage-length=0 -fno-exceptions -fno-builtin -ffunction-sections -fdata-sections
        CXXFLAGS += -funsigned-char -MMD
        CXXFLAGS += -mcpu=cortex-m7 -mthumb -mfpu=fpv5-sp-d16 -mfloat-abi=softfp
        CXXFLAGS += '-std=gnu++11' '-fno-rtti' '-Wvla' '-c' '-Wall' '-Wextra' '-Wno-unused-parameter' '-Wno-missing-field-initializers' '-fmessage-length=0' '-fno-exceptions' '-fno-builtin' '-ffunction-sections' '-fdata-sections' '-funsigned-char' '-MMD' '-fno-delete-null-pointer-checks' '-fomit-frame-pointer' '-Os'
	LIBS += -ldl
	BUILD_TYPE := micro
endif
ifeq ($(TARGET_ARCH),armm1)
        CXXFLAGS += -DGEMMLOWP_ALLOW_SLOW_SCALAR_FALLBACK -mcpu=cortex-m1 -mthumb -DTFLITE_MCU
        CXXFLAGS += -fno-rtti -fmessage-length=0 -fno-exceptions -fno-builtin -ffunction-sections -fdata-sections
        CXXFLAGS += -funsigned-char -MMD
	LIBS += -ldl
endif

# Settings for the host compiler.
CXX := $(CC_PREFIX) ${TARGET_TOOLCHAIN_PREFIX}g++
CXXFLAGS += -O3 -DNDEBUG
CCFLAGS := ${CXXFLAGS}
CXXFLAGS += --std=c++11
CC := $(CC_PREFIX) ${TARGET_TOOLCHAIN_PREFIX}gcc
AR := $(CC_PREFIX) ${TARGET_TOOLCHAIN_PREFIX}ar
CFLAGS :=
LDOPTS :=
LDOPTS += -L/usr/local/lib
ARFLAGS := -r

INCLUDES := \
-I. \
-I$(MAKEFILE_DIR)/../../../ \
-I$(MAKEFILE_DIR)/downloads/ \
-I$(MAKEFILE_DIR)/downloads/eigen \
-I$(MAKEFILE_DIR)/downloads/gemmlowp \
-I$(MAKEFILE_DIR)/downloads/neon_2_sse \
-I$(MAKEFILE_DIR)/downloads/farmhash/src \
-I$(MAKEFILE_DIR)/downloads/flatbuffers/include \
-I$(GENDIR)
# This is at the end so any globally-installed frameworks like protobuf don't
# override local versions in the source tree.
INCLUDES += -I/usr/local/include

LIBS += \
-lstdc++ \
-lpthread \
-lm \
-lz

# If we're on Linux, also link in the dl library.
ifeq ($(HOST_OS),LINUX)
	LIBS += -ldl
endif

include $(MAKEFILE_DIR)/ios_makefile.inc
include $(MAKEFILE_DIR)/rpi_makefile.inc

# This library is the main target for this makefile. It will contain a minimal
# runtime that can be linked in to other programs.
LIB_NAME := libtensorflow-lite.a
LIB_PATH := $(LIBDIR)$(LIB_NAME)

# A small example program that shows how to link against the library.
MINIMAL_PATH := $(BINDIR)minimal

# Benchmark static library and binary
BENCHMARK_LIB_NAME := benchmark-lib.a
BENCHMARK_BINARY_NAME := benchmark_model
BENCHMARK_LIB := $(LIBDIR)$(BENCHMARK_LIB_NAME)
BENCHMARK_BINARY := $(BINDIR)$(BENCHMARK_BINARY_NAME)

MINIMAL_SRCS := \
tensorflow/contrib/lite/examples/minimal/minimal.cc
MINIMAL_OBJS := $(addprefix $(OBJDIR), \
$(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(MINIMAL_SRCS))))

# What sources we want to compile, must be kept in sync with the main Bazel
# build files.

PROFILER_SRCS := \
	tensorflow/contrib/lite/profiling/time.cc
PROFILE_SUMMARIZER_SRCS := \
	tensorflow/contrib/lite/profiling/profile_summarizer.cc \
	tensorflow/core/util/stats_calculator.cc

CORE_CC_ALL_SRCS := \
$(wildcard tensorflow/contrib/lite/*.cc) \
$(wildcard tensorflow/contrib/lite/*.c)
ifneq ($(BUILD_TYPE),micro)
CORE_CC_ALL_SRCS += \
$(wildcard tensorflow/contrib/lite/kernels/*.cc) \
$(wildcard tensorflow/contrib/lite/kernels/internal/*.cc) \
$(wildcard tensorflow/contrib/lite/kernels/internal/optimized/*.cc) \
$(wildcard tensorflow/contrib/lite/kernels/internal/reference/*.cc) \
$(PROFILER_SRCS) \
$(wildcard tensorflow/contrib/lite/kernels/*.c) \
$(wildcard tensorflow/contrib/lite/kernels/internal/*.c) \
$(wildcard tensorflow/contrib/lite/kernels/internal/optimized/*.c) \
$(wildcard tensorflow/contrib/lite/kernels/internal/reference/*.c) \
$(wildcard tensorflow/contrib/lite/downloads/farmhash/src/farmhash.cc) \
$(wildcard tensorflow/contrib/lite/downloads/fft2d/fftsg.c)
endif
# Remove any duplicates.
CORE_CC_ALL_SRCS := $(sort $(CORE_CC_ALL_SRCS))
CORE_CC_EXCLUDE_SRCS := \
$(wildcard tensorflow/contrib/lite/*test.cc) \
$(wildcard tensorflow/contrib/lite/*/*test.cc) \
$(wildcard tensorflow/contrib/lite/*/*/*test.cc) \
$(wildcard tensorflow/contrib/lite/*/*/*/*test.cc) \
$(wildcard tensorflow/contrib/lite/kernels/test_util.cc) \
$(MINIMAL_SRCS)
ifeq ($(BUILD_TYPE),micro)
CORE_CC_EXCLUDE_SRCS += \
tensorflow/contrib/lite/model.cc \
tensorflow/contrib/lite/nnapi_delegate.cc
endif
# Filter out all the excluded files.
TF_LITE_CC_SRCS := $(filter-out $(CORE_CC_EXCLUDE_SRCS), $(CORE_CC_ALL_SRCS))
# File names of the intermediate files target compilation generates.
TF_LITE_CC_OBJS := $(addprefix $(OBJDIR), \
$(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(TF_LITE_CC_SRCS))))
LIB_OBJS := $(TF_LITE_CC_OBJS)

# Benchmark sources
BENCHMARK_SRCS_DIR := tensorflow/contrib/lite/tools/benchmark
BENCHMARK_ALL_SRCS := $(TFLITE_CC_SRCS) \
	$(wildcard $(BENCHMARK_SRCS_DIR)/*.cc) \
	$(PROFILE_SUMMARIZER_SRCS)

BENCHMARK_SRCS := $(filter-out \
	$(wildcard $(BENCHMARK_SRCS_DIR)/*_test.cc), \
    $(BENCHMARK_ALL_SRCS))

BENCHMARK_OBJS := $(addprefix $(OBJDIR), \
$(patsubst %.cc,%.o,$(patsubst %.c,%.o,$(BENCHMARK_SRCS))))

# For normal manually-created TensorFlow C++ source files.
$(OBJDIR)%.o: %.cc
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $(INCLUDES) -c $< -o $@
# For normal manually-created TensorFlow C++ source files.
$(OBJDIR)%.o: %.c
	@mkdir -p $(dir $@)
	$(CC) $(CCFLAGS) $(INCLUDES) -c $< -o $@

# The target that's compiled if there's no command-line arguments.
all: $(LIB_PATH)  $(MINIMAL_PATH) $(BENCHMARK_BINARY)

# The target that's compiled for micro-controllers
micro: $(LIB_PATH)

# Gathers together all the objects we've compiled into a single '.a' archive.
$(LIB_PATH): $(LIB_OBJS)
	@mkdir -p $(dir $@)
	$(AR) $(ARFLAGS) $(LIB_PATH) $(LIB_OBJS)

$(MINIMAL_PATH): $(MINIMAL_OBJS) $(LIB_PATH)
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $(INCLUDES) \
	-o $(MINIMAL_PATH) $(MINIMAL_OBJS) \
	$(LIBFLAGS) $(LIB_PATH) $(LDFLAGS) $(LIBS)


$(BENCHMARK_LIB) : $(LIB_PATH) $(BENCHMARK_OBJS)
	@mkdir -p $(dir $@)
	$(AR) $(ARFLAGS) $(BENCHMARK_LIB) $(LIB_OBJS) $(BENCHMARK_OBJS)

benchmark_lib: $(BENCHMARK_LIB)
$(info $(BENCHMARK_BINARY))
$(BENCHMARK_BINARY) : $(BENCHMARK_LIB)
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $(INCLUDES) \
	-o $(BENCHMARK_BINARY) \
	$(LIBFLAGS) $(BENCHMARK_LIB) $(LDFLAGS) $(LIBS)

benchmark: $(BENCHMARK_BINARY)

# Gets rid of all generated files.
clean:
	rm -rf $(MAKEFILE_DIR)/gen

# Gets rid of target files only, leaving the host alone. Also leaves the lib
# directory untouched deliberately, so we can persist multiple architectures
# across builds for iOS and Android.
cleantarget:
	rm -rf $(OBJDIR)
	rm -rf $(BINDIR)

$(DEPDIR)/%.d: ;
.PRECIOUS: $(DEPDIR)/%.d

-include $(patsubst %,$(DEPDIR)/%.d,$(basename $(TF_CC_SRCS)))

=== debian/changelog ===
tensorflow (1.10.1+dfsg-A2) experimental; urgency=medium

  * Require B-D highwayhash-dev on all architectures. (Closes: #914985)
  * Add Yunqiang Su (syq) to Uploaders.

  [ BuildSystem ]
  * Significantly simplified code of shogun.py .
  * Add -DNDEBUG and -pipe to default CXXFLAGS.
  * Work-In-Progress support for the python interface. (Disabled by default)
  * Create version_info.cc by ninja target instead of patch.
  * Fix installation path for the embedded Eigen3 library.
  + See git history for detailed changes.
  + The build system is feature-frozen. It will be replaced by a new one
    for the upcoming TensorFlow 2.X series.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 06 Dec 2018 05:31:39 +0000

tensorflow (1.10.1+dfsg-A1) experimental; urgency=medium

  * Initial release [1.10.1+dfsg]. (Closes: #804612)
  * Stage A (with Debian revision "A*") indicates that the source
    package only produces C and C++ library and development files.
  * Many thanks to Aron Xu <aron@debian.org> for his sponsorship
    of the access to his build machine which helped a lot.
  * Many thanks to Boyuan Yang <byang@debian.org> for FTBFS report.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 08 Sep 2018 08:36:02 +0000

=== debian/control ===
Source: tensorflow
Section: science
Homepage: https://tensorflow.org/
# Upstream-Git: https://github.com/tensorflow/tensorflow
Priority: optional
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/tensorflow
Vcs-Git: https://salsa.debian.org/science-team/tensorflow.git
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>,
           Yunqiang Su <syq@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 libcurl4-gnutls-dev,
 libdouble-conversion-dev (>= 3.0.0+git20180802.4e8b3b5~),
 libfarmhash-dev,
 libgemmlowp-dev,
 libgif-dev,
 libgrpc++-dev (>= 1.14.1~),
 libgtest-dev,
 libhighwayhash-dev,
 libjpeg-dev,
 libjsoncpp-dev,
 liblmdb-dev,
 libnsync-dev,
 libpng-dev,
 libprotobuf-dev (>= 3.6.0~),
 libprotoc-dev (>= 3.6.0~),
 libre2-dev,
 libsnappy-dev,
 libsqlite3-dev,
 libsuperlu-dev,
 llvm-7-dev (>= 1:7~+rc2-1~exp1~),
 ninja-build,
 protobuf-compiler (>= 3.6.0~),
 protobuf-compiler-grpc,
 python3,
 python3-all-dev,
 python3-numpy,
 swig,
 zlib1g-dev,
# libxsmm-dev,
# libmkldnn-dev [amd64],


#Package: tensorflow
#Section: metapackages
#Architecture: any
#Multi-Arch: same
#Depends: ${misc:Depends},
## python3-tensorflow (= ${binary:Version})
# libtensorflow-dev (= ${binary:Version}),
##Recommends:
## libtensorflow-bin (= ${binary:Version}),
#Suggests:
# tensorflow-doc (= ${source:Version}),
#Description: Computation using data flow graphs for scalable machine learning
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# TensorFlow was originally developed by researchers and engineers working
# on the Google Brain team within Google's Machine Intelligence Research
# organization for the purposes of conducting machine learning and deep
# neural networks research. The system is general enough to be applicable
# in a wide variety of other domains, as well.
# .
# TensorFlow provides stable Python API and C APIs as well as without API
# backwards compatibility guarantee like C++, Go, Java, JavaScript and Swift.

Package: tensorflow-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Computation using data flow graphs for scalable machine learning (doc)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 TensorFlow was originally developed by researchers and engineers working
 on the Google Brain team within Google's Machine Intelligence Research
 organization for the purposes of conducting machine learning and deep
 neural networks research. The system is general enough to be applicable
 in a wide variety of other domains, as well.
 .
 TensorFlow provides stable Python API and C APIs as well as without API
 backwards compatibility guarantee like C++, Go, Java, JavaScript and Swift.
 .
 This package ships tensorflow documentation.

Package: libtensorflow-framework1.10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
# I copied some detail about this shared object from tensorflow/BUILD
Description: Computation using data flow graphs for scalable machine learning
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_framework.so.1.10
 .
 A shared object which includes registration mechanisms for ops and
 kernels. Does not include the implementations of any ops or kernels.
 Instead, the library which loads libtensorflow_framework.so
 (e.g. _pywrap_tensorflow_internal.so for Python, libtensorflow.so for the C
 API) is responsible for registering ops with libtensorflow_framework.so. In
 addition to this core set of ops, user libraries which are loaded (via
 TF_LoadLibrary/tf.load_op_library) register their ops and kernels with this
 shared object directly.
 .
 For example, from Python tf.load_op_library loads a custom op library (via
 dlopen() on Linux), the library finds libtensorflow_framework.so (no
 filesystem search takes place, since libtensorflow_framework.so has already
 been loaded by pywrap_tensorflow) and registers its ops and kernels via
 REGISTER_OP and REGISTER_KERNEL_BUILDER (which use symbols from
 libtensorflow_framework.so), and pywrap_tensorflow can then use these
 ops. Since other languages use the same libtensorflow_framework.so, op
 libraries are language agnostic.

Package: libtensorflow1.10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Computation using data flow graphs for scalable machine learning (C)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow.so.1.10, which exports
 C API for TensorFlow (i.e. symbols named "*TF_*" or "*TFE_*").

Package: libtensorflow-cc1.10
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Computation using data flow graphs for scalable machine learning (C++)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships shared object libtensorflow_cc.so.1.10, which exports
 C++ API for TensorFlow (i.e. *tensorflow* *TF_* *TFE_* *pywrap_xla*).

Package: libtensorflow-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libtensorflow-framework1.10 (= ${binary:Version}),
 libtensorflow1.10 (= ${binary:Version}),
 libtensorflow-cc1.10 (= ${binary:Version}),
 libprotobuf-dev (>= 3.6.0~),
 libgrpc++-dev (>= 1.14.1~),
 llvm-7-dev (>= 1:7~+rc2-1~exp1~),
Suggests:
 tensorflow-doc (= ${source:Version}),
Description: Computation using data flow graphs for scalable machine learning (dev)
 TensorFlow is an open source software library for numerical computation
 using data flow graphs. The graph nodes represent mathematical operations,
 while the graph edges represent the multidimensional data arrays (tensors)
 that flow between them. This flexible architecture enables you to deploy
 computation to one or more CPUs or GPUs in a desktop, server, or mobile
 device without rewriting code.
 .
 This package ships C and C++ headers files for tensorflow.

#Package: libtensorflow-bin
#Architecture: any
#Multi-Arch: foreign
#Depends: ${misc:Depends}, ${shlibs:Depends},
# libtensorflow1.10 (= ${binary:Version}),
#Description: Computation using data flow graphs for scalable machine learning (bin)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships binary utilities of tensorflow.

#Package: python3-tensorflow
#Architecture: any
#Multi-Arch: foreign
#Depends: ${misc:Depends}, ${shlibs:Depends},
# libtensorflow-framework1.10 (>= ${source:Version}~),
#Description: Computation using data flow graphs for scalable machine learning (Py3)
# TensorFlow is an open source software library for numerical computation
# using data flow graphs. The graph nodes represent mathematical operations,
# while the graph edges represent the multidimensional data arrays (tensors)
# that flow between them. This flexible architecture enables you to deploy
# computation to one or more CPUs or GPUs in a desktop, server, or mobile
# device without rewriting code.
# .
# This package ships Python3 interface of tensorflow.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# colorized output reduces burden to my eye
export NINJA_STATUS=[1;36m[%es (%p) %f/%t][0;m 

# Maintainer notes:
#
#1. Shogun.py uses "bazel query" to dump source code and generated file
#   dependencies for the build targets. The build system is python3 plus
#   ninja. See debian/shogun.py for detail.
#
#2. This source packages provides CPU-only version of TF instead
#   of CUDA version.
#
#   (1) CPU-only version is compilable on all architectures.
#       CUDA is specific to amd64 and ppc64el, and aarch64.
#
#   (2) CPU-only version can stay in the main section.
#       Once compiled with CUDA, the source must enter contrib section.
#
#   src:caffe and src:caffe-contrib is an example for illustration.
#

%:
	dh $@ -Sninja -D.

override_dh_auto_clean:
	$(SHELL) debian/shogun-clean.sh

override_dh_auto_configure:
	-find . -type f -name '.gitignore' -delete
	-find tensorflow/examples/ -type f -exec chmod a-x '{}' +
	$(SHELL) debian/embedded.sh
	patch -p1 < debian/patches/fft-cxx-no-mangle.patch
	$(SHELL) debian/shogun-gen.sh

override_dh_auto_build:
	dh_auto_build -- -f proto_text.gen.ninja
	dh_auto_build -- -f proto_text.ninja
	dh_auto_build -- -f libtensorflow_framework.gen.ninja
	dh_auto_build -- -f libtensorflow_framework.ninja
	dh_auto_build -- -f libtensorflow.gen.ninja
	dh_auto_build -- -f libtensorflow.ninja
	dh_auto_build -- -f libtensorflow_cc.gen.ninja
	dh_auto_build -- -f libtensorflow_cc.ninja
	#dh_auto_build -- -f pippackage.gen.ninja

override_dh_auto_install:
	$(SHELL) debian/shogun-install.sh
	cd debian/pkgconfig; $(SHELL) pc-gen.sh
	install -Dm0644 debian/pkgconfig/tensorflow.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/tensorflow.pc
	install -Dm0644 debian/pkgconfig/tensorflow_cc.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/tensorflow_cc.pc
	install -Dm0644 debian/pkgconfig/tensorflow_framework.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/tensorflow_framework.pc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Some basic sanity tests
	-$(SHELL) debian/tests/capi.sh
	-$(SHELL) debian/tests/tf_c_api_test.sh
	-$(SHELL) debian/tests/tf_cc_tutorial.sh
	-$(SHELL) debian/tests/tf_doc_api_guide_cc.sh
	-$(SHELL) debian/tests/tf_ex_adding_an_op.sh
	-$(SHELL) debian/tests/tf_ex_label_image.sh
	-$(SHELL) debian/tests/tf_lib_package_libtensorflow_test.sh
	-$(SHELL) debian/tests/tf_tool_benchmark_model.sh
	-$(SHELL) debian/tests/tf_tool_graph_transforms.sh
	# TODO: compile and run more upstream gtest testsuites
endif

=== debian/tests/control ===
Test-Command: sh debian/tests/tf_doc_api_guide_cc.sh
Depends: @, build-essential, libprotobuf-dev,
Restrictions: allow-stderr

Test-Command: sh debian/tests/tf_cc_tutorial.sh
Depends: @, build-essential, libprotobuf-dev,
Restrictions: allow-stderr

Test-Command: sh debian/tests/tf_tool_benchmark_model.sh
Depends: @, build-essential, libprotobuf-dev,
Restrictions: allow-stderr

Test-Command: sh debian/tests/tf_ex_label_image.sh
Depends: @, build-essential, libprotobuf-dev, curl,
Restrictions: allow-stderr

Test-Command: sh debian/tests/tf_tool_graph_transforms.sh
Depends: @, build-essential, libprotobuf-dev, parallel, libgemmlowp-dev,
Restrictions: allow-stderr

Test-Command: sh debian/tests/tf_c_api_test.sh
Depends: @, build-essential, libprotobuf-dev, libgtest-dev,
Restrictions: allow-stderr

Test-Command: sh debian/tests/tf_lib_package_libtensorflow_test.sh
Depends: @, build-essential, libprotobuf-dev, libgrpc++-dev, llvm-7-dev,
Restrictions: allow-stderr

Test-Command: sh debian/tests/tf_ex_adding_an_op.sh
Depends: @, build-essential, libprotobuf-dev,
Restrictions: allow-stderr

Test-Command: sh debian/tests/capi.sh
Depends: @, build-essential, libprotobuf-dev, libgtest-dev,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tensorflow-$1.tar.gz%" \
    https://github.com/tensorflow/tensorflow/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tensorflow 1.13.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.10
+Version: 1.13.1
 Authors@R: c(
-  person("JJ", "Allaire", role = c("aut", "cre"), email = "jj@rstudio.com"),
+  person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
+  person("JJ", "Allaire", role = c("aut", "cph")),
   person(family = "RStudio", role = c("cph", "fnd")),
   person("Yuan", "Tang", role = c("aut", "cph"),
          email = "terrytangyuan@gmail.com",
@@ -38,16 +39,17 @@
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
 Suggests: testthat, keras, tfestimators
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-11-19 17:55:18 UTC; jjallaire
-Author: JJ Allaire [aut, cre],
+Packaged: 2019-04-05 02:01:45 UTC; dfalbel
+Author: Daniel Falbel [ctb, cph, cre],
+  JJ Allaire [aut, cph],
   RStudio [cph, fnd],
   Yuan Tang [aut, cph] (<https://orcid.org/0000-0001-5243-233X>),
   Dirk Eddelbuettel [ctb, cph],
   Nick Golding [ctb, cph],
   Tomasz Kalinowski [ctb, cph],
   Google Inc. [ctb, cph] (Examples and Tutorials)
-Maintainer: JJ Allaire <jj@rstudio.com>
+Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-11-19 18:50:03 UTC
+Date/Publication: 2019-04-05 12:50:03 UTC

## tensorflow 1.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.13.1
+Version: 1.14.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -41,7 +41,7 @@
 Suggests: testthat, keras, tfestimators
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-04-05 02:01:45 UTC; dfalbel
+Packaged: 2019-08-01 12:44:21 UTC; dfalbel
 Author: Daniel Falbel [ctb, cph, cre],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +52,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-04-05 12:50:03 UTC
+Date/Publication: 2019-08-01 13:30:02 UTC

## tensorflow 2.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 1.14.0
+Version: 2.0.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -41,7 +41,7 @@
 Suggests: testthat, keras, tfestimators
 RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2019-08-01 12:44:21 UTC; dfalbel
+Packaged: 2019-10-02 17:26:13 UTC; dfalbel
 Author: Daniel Falbel [ctb, cph, cre],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +52,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-08-01 13:30:02 UTC
+Date/Publication: 2019-10-02 17:50:02 UTC

## tensorflow 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tensorflow
 Type: Package
 Title: R Interface to 'TensorFlow'
-Version: 2.0.0
+Version: 2.2.0
 Authors@R: c(
   person("Daniel", "Falbel", role = c("ctb", "cph", "cre"), email = "daniel@rstudio.com"),
   person("JJ", "Allaire", role = c("aut", "cph")),
@@ -38,10 +38,12 @@
 Depends: R (>= 3.1)
 Imports: config, jsonlite (>= 1.2), processx, reticulate (>= 1.10),
         tfruns (>= 1.0), utils, yaml, rstudioapi (>= 0.7)
-Suggests: testthat, keras, tfestimators
-RoxygenNote: 6.1.1
+Suggests: testthat (>= 2.1.0), keras, tfestimators, callr
+RoxygenNote: 7.0.2
+Config/reticulate: list( packages = list( list(package = "tensorflow",
+        pip = TRUE) ) )
 NeedsCompilation: no
-Packaged: 2019-10-02 17:26:13 UTC; dfalbel
+Packaged: 2020-05-11 16:35:51 UTC; dfalbel
 Author: Daniel Falbel [ctb, cph, cre],
   JJ Allaire [aut, cph],
   RStudio [cph, fnd],
@@ -52,4 +54,4 @@
   Google Inc. [ctb, cph] (Examples and Tutorials)
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-10-02 17:50:02 UTC
+Date/Publication: 2020-05-11 18:20:03 UTC
